Package org.apache.sysds.runtime.instructions.spark.functions

## Class TensorTensorBinaryOpPartitionFunction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.functions.TensorTensorBinaryOpPartitionFunction

- All Implemented Interfaces:
    `Serializable`, `org.apache.spark.api.java.function.PairFlatMapFunction<Iterator<scala.Tuple2<TensorIndexes,​TensorBlock>>,​TensorIndexes,​TensorBlock>`

      public class TensorTensorBinaryOpPartitionFunction
      extends Object
      implements org.apache.spark.api.java.function.PairFlatMapFunction<Iterator<scala.Tuple2<TensorIndexes,​TensorBlock>>,​TensorIndexes,​TensorBlock>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TensorTensorBinaryOpPartitionFunction​(BinaryOperator op, PartitionedBroadcast<TensorBlock> binput, boolean[] replicateDim)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LazyIterableIterator<scala.Tuple2<TensorIndexes,​TensorBlock>>` | `call​(Iterator<scala.Tuple2<TensorIndexes,​TensorBlock>> arg0)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TensorTensorBinaryOpPartitionFunction

          public TensorTensorBinaryOpPartitionFunction​(BinaryOperator op,
                                                       PartitionedBroadcast<TensorBlock> binput,
                                                       boolean[] replicateDim)

  - ### Method Detail

    - #### call

          public LazyIterableIterator<scala.Tuple2<TensorIndexes,​TensorBlock>> call​(Iterator<scala.Tuple2<TensorIndexes,​TensorBlock>> arg0)
                                                                                   throws Exception

      Specified by:
        `call` in interface `org.apache.spark.api.java.function.PairFlatMapFunction<Iterator<scala.Tuple2<TensorIndexes,​TensorBlock>>,​TensorIndexes,​TensorBlock>`
      Throws:
        `Exception`